Skip to main content
POST
/
video-generation
seedance-v1.5-pro
curl --request POST \
  --url https://api.linkai.one/api/v1/video-generation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "seedance-v1.5-pro",
  "prompt": "<string>",
  "resolution": "480P",
  "duration": 4,
  "first_frame_image": "<string>"
}
'
{
  "code": 0,
  "data": {
    "task_id": "cb6111cf-e89f-4978-b8e3-aa59c21cceff",
    "order_id": "019da9cf-d1db-78e1-ac23-526774d01193",
    "status": "processing",
    "price": 0.074
  },
  "msg": "success",
  "request_id": "250b66dd-e1fb-4bb6-b5f6-c668efadc35d"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
enum<string>
required

model is required

Available options:
seedance-v1.5-pro
prompt
string
required

prompt length must be <= 2000

Maximum string length: 2000
resolution
enum<string>
required

resolution must be 480p or 720p

Available options:
480P,
720P
duration
enum<integer>

duration must between 4 and 12

Available options:
4,
5,
6,
7,
8,
9,
10,
11,
12
first_frame_image
string

Response

Task accepted and queued for generation.

code
integer
Example:

0

data
object
msg
string
Example:

"success"

request_id
string<uuid>
Example:

"250b66dd-e1fb-4bb6-b5f6-c668efadc35d"